diff --git a/notebook_nueva/components/screen_pillars.py b/notebook_nueva/components/screen_pillars.py index 11f861a..eef5cdf 100644 --- a/notebook_nueva/components/screen_pillars.py +++ b/notebook_nueva/components/screen_pillars.py @@ -4,6 +4,13 @@ import cadquery as cq elements = None bottom_holes = None +# These are set from dimensions.py +pillar_width = 0 +pillar_height = 0 +screw_head_radius = 0 +screw_head_depth = 0 +screw_radius = 0 + def init(positions, thickness): """Because these need to match in multiple models, we create the @@ -13,7 +20,9 @@ def init(positions, thickness): { "x": 0, "y": 0, - "shape": cq.Sketch().push(positions).trapezoid(12, 12, 90, mode="a"), + "shape": cq.Sketch() + .push(positions) + .trapezoid(pillar_width, pillar_height, 90, mode="a"), "height": thickness, } ] @@ -22,13 +31,13 @@ def init(positions, thickness): { "x": 0, "y": 0, - "shape": cq.Sketch().push(positions).circle(3, mode="a"), - "depth": thickness - 13, # (screw thread length - threaded insert depth) + "shape": cq.Sketch().push(positions).circle(screw_head_radius, mode="a"), + "depth": screw_head_depth }, { "x": 0, "y": 0, - "shape": cq.Sketch().push(positions).circle(1.8, mode="a"), + "shape": cq.Sketch().push(positions).circle(screw_radius, mode="a"), "depth": 100, }, ] diff --git a/notebook_nueva/dimensions.py b/notebook_nueva/dimensions.py index 71fb19c..3e830fd 100644 --- a/notebook_nueva/dimensions.py +++ b/notebook_nueva/dimensions.py @@ -3,6 +3,7 @@ import math import components.audio_plug as audio_plug import components.usb_hub as usb_hub import components.keyboard as keyboard +import components.screen_pillars as screen_pillars ## Standard things (TODO move to separate file) @@ -19,7 +20,6 @@ m3_hn_thickness = 2.5 m4_top = 9 m4_bottom = 4 - ## Keyboard dimensions keyboard.kbd_height = 95.5 keyboard.kbd_width = 305 @@ -135,3 +135,10 @@ sl_height = ( ) sl_thickness = shell_t sl_front_lip = 8 + +## Dimensions for pillars that connect base and lids +screen_pillars.pillar_width = 12 +screen_pillars.pillar_height = 12 +screen_pillars.screw_head_radius = 3 +screen_pillars.screw_radius = 1.8 +screen_pillars.screw_head_depth = base_thickness - 13, # (screw thread length - threaded insert depth) diff --git a/notebook_nueva/hinged_lid.stl b/notebook_nueva/hinged_lid.stl index 6311f01..b6288b1 100644 Binary files a/notebook_nueva/hinged_lid.stl and b/notebook_nueva/hinged_lid.stl differ diff --git a/notebook_nueva/hinged_lid_left.stl b/notebook_nueva/hinged_lid_left.stl index 5348182..894dbb2 100644 Binary files a/notebook_nueva/hinged_lid_left.stl and b/notebook_nueva/hinged_lid_left.stl differ diff --git a/notebook_nueva/hinged_lid_right.stl b/notebook_nueva/hinged_lid_right.stl index f4655d6..22dc7e3 100644 Binary files a/notebook_nueva/hinged_lid_right.stl and b/notebook_nueva/hinged_lid_right.stl differ diff --git a/notebook_nueva/tandy_lid.stl b/notebook_nueva/tandy_lid.stl index aa3b9d1..a21f752 100644 Binary files a/notebook_nueva/tandy_lid.stl and b/notebook_nueva/tandy_lid.stl differ diff --git a/notebook_nueva/tandy_lid_left.stl b/notebook_nueva/tandy_lid_left.stl index 2245bae..2a1762e 100644 Binary files a/notebook_nueva/tandy_lid_left.stl and b/notebook_nueva/tandy_lid_left.stl differ diff --git a/notebook_nueva/tandy_lid_right.stl b/notebook_nueva/tandy_lid_right.stl index e894ab9..301cc97 100644 Binary files a/notebook_nueva/tandy_lid_right.stl and b/notebook_nueva/tandy_lid_right.stl differ